# Introduction

This module integrates Drupal media with the PhotoShelter digital asset
management platform (https://www.photoshelter.com/) through an
Entity Browser widget.


# Basic configuration

1. After installing the module, go to `admin/config/services/photoshelter` and
enter your PhotoShelter API key (if needs to be obained please refer to the
instructions on the page).

2. Configure module permissions: go to `admin/people/permissions` and set
"PhotoShelter Integration" permissions and "Entity Browser" permissions for
different roles (both "Access [entity browser name] pages" for the right
entity browser and "Use PhotoShelter" need to be selected).

3. If working as a part of an organization, that organization has to be chosen
on your user account PhotoShelter details page (`user/[id]/photoshelter`).
After authentication (link to authenticate provided on the page) to view
media from that organization.

4. Next, an entity browser needs to be added
(`admin/config/content/entity_browser/add`)
and configured to use the PhotoShelter library widget
(`admin/config/content/entity_browser/[id]/widgets`)

5. The last step is setting that entity browser as the media reference field
widget on any entity form.

The configuration steps 4 and 5 above are included in the "PhotoShelter demo"
module for a working example where user having the right permissions just needs
to provide an API key and authenticate.


# Advanced

The module also supports different media types (video, audio). For that the
used media reference field needs to have referencable media types with
corresponding media sources (Image, Video file, Audio file) selected.

Synchronizing multiple media at once requires media reference field cardinality
set to more than 1.
