/**
 * @file
 * PhotoShelter entity_browser widget display.
 */

(function ($, Drupal) {

  'use strict';

  /**
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.photoshelterWidget = {
    attach: function (context, settings) {
      once('photoshelter-widget', '.entity-browser-form', context).forEach(Drupal.photoshelterWidgetDisplay);
    }
  };

  Drupal.photoshelterWidgetDisplay = function (element) {
    var $form = $(element);
    var $parent_element = $('input.photoshelter-parent-filter', $form);
    var $search_text_element = $('input[data-drupal-selector="edit-filters-search"]', $form);
    var $search_button = $('input[data-drupal-selector="edit-filters-filter"]', $form);

    $form.find('.photoshelter-gallery, .photoshelter-collection, .photoshelter-breadcrumb li').each(function () {
      $(this).on('click', function (event) {
        if (!$(this).hasClass('current')) {
          $parent_element.val($(this).attr('data-id') + ';' + $(this).attr('data-type'));
          $search_text_element.val('');
          $search_button.click();
        }
      });
      $search_button.on('click', function (event) {
        $form.addClass('loading');
      });
    });
  }

})(jQuery, Drupal);
