<?php

declare(strict_types=1);

namespace Drupal\photoshelter\Access;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\user\UserInterface;

final class UserPhotoshelterTabAccess implements AccessInterface {

  /**
   * Checks access to the user PhotoShelter page.
   */
  public function access(AccountInterface $account, UserInterface $user): AccessResult {
    if (!$account->hasPermission('use photoshelter')) {
      return AccessResult::forbidden();
    }
    if ($account->id() !== $user->id()) {
      return AccessResult::forbidden();
    }

    return AccessResult::allowed();
  }

}
